RSAKeyGenParameterSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class RSAKeyGenParameterSpec

    java.lang.Object
      java.security.spec.RSAKeyGenParameterSpec

All Implemented Interfaces:
  AlgorithmParameterSpec

    public class RSAKeyGenParameterSpec

extends Object
implements AlgorithmParameterSpec

This class specifies the set of parameters used to generate an RSA key pair.

Since:
  1.3
Version:
  1.5 02/02/00
Author:
  Jan Luehe
See Also:
  `KeyPairGenerator.initialize(java.security.spec.AlgorithmParameterSpec)`

Field Summary
`static BigInteger` | `F0` The public-exponent value F0 = 3.
`static BigInteger` | `F4` The public exponent-value F4 = 65537.

Constructor Summary
`RSAKeyGenParameterSpec(int keysize, BigInteger publicExponent)` Constructs a new `RSAParameterSpec` object from the given keysize and public-exponent value.

Method Summary
`int` | `getKeysize()` Returns the keysize.
`BigInteger` | `getPublicExponent()` Returns the public-exponent value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### F0

    public static final BigInteger F0

  The public-exponent value F0 = 3.

### F4

    public static final BigInteger F4

  The public exponent-value F4 = 65537.

Constructor Detail

### RSAKeyGenParameterSpec

    public RSAKeyGenParameterSpec(int keysize,
                                  BigInteger publicExponent)

  Constructs a new `RSAParameterSpec` object from the given keysize and public-exponent value.

  Parameters:
    `keysize` - the modulus size (specified in number of bits)
    `publicExponent` - the public exponent

Method Detail

### getKeysize

    public int getKeysize()

  Returns the keysize.

  Returns:
    the keysize.

### getPublicExponent

    public BigInteger getPublicExponent()

  Returns the public-exponent value.

  Returns:
    the public-exponent value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD